---
title: "Multisample State"
date: 2021-01-27T15:10:55-08:00
weight: 5
---

This is another basic one. `MultisampleCount` tells the pipeline how many samples should be used in rasterization, and `SampleMask` is a coverage mask used by the multisampling process. You can read about how that process works [here](https://www.khronos.org/registry/vulkan/specs/1.2/html/chap26.html#primsrast-multisampling).

```cs
var myMultisampleState = new MultisampleState
{
    MultisampleCount = SampleCount.Four,
    SampleMask = uint.MaxValue // all samples will be written
};
```
